| Kea 3.0.2-git

isc::dhcp::LeasePageSize Class Reference

Wraps value holding size of the page with leases. More...

`#include <lease_mgr.h>`

## Public Member Functions
| LeasePageSize (const size_t page_size)
| Constructor.

## Public Attributes
const size_t | page_size_
| Holds page size.

## Detailed Description

Wraps value holding size of the page with leases.

Definition at line 46 of file lease_mgr.h.

## Constructor & Destructor Documentation

## ◆ LeasePageSize()

isc::dhcp::LeasePageSize::LeasePageSize | ( | const size_t | page_size | ) |
| explicit

Constructor.

Parameters

  page_size | page size value.

Exceptions

  OutOfRange | if page size is 0 or greater than uint32_t numeric limit.

Definition at line 41 of file lease_mgr.cc.

References isc_throw, and page_size_.

## Member Data Documentation

## ◆ page_size_

const size_t isc::dhcp::LeasePageSize::page_size_

Holds page size.

Definition at line 56 of file lease_mgr.h.

Referenced by LeasePageSize(), isc::dhcp::Memfile_LeaseMgr::getLeases4(), isc::dhcp::Memfile_LeaseMgr::getLeases4ByRelayId(), isc::dhcp::Memfile_LeaseMgr::getLeases4ByRemoteId(), isc::dhcp::Memfile_LeaseMgr::getLeases6(), isc::dhcp::Memfile_LeaseMgr::getLeases6(), isc::dhcp::Memfile_LeaseMgr::getLeases6ByRelayId(), and isc::dhcp::Memfile_LeaseMgr::getLeases6ByRemoteId().

The documentation for this class was generated from the following files:

- lease_mgr.h
- lease_mgr.cc